Skip to navigation

Get a list of PricingPlanSchedules for provided filters

Requires the QUOTE.PRICING_PLAN_SCHEDULE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Which one depends on the type of the subscription: QUOTE requires QUOTE.PRICING_PLAN_SCHEDULE.VIEW; BILLING and TEMPLATE require PRICING_PLAN_SCHEDULE.VIEW.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

pricing_plan_subscription_idstringOptional
The resource id of the pricingPlanSubscription.
statusstringOptional
The status of the pricing plan schedule.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error